<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonAnaEnables_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonAnaEnables_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Analog monitoring configuration.  
 <a href="structrl_mon_ana_enables__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8bb9d628c36e8808b70b88a93d7ca5ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8bb9d628c36e8808b70b88a93d7ca5ff"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ana_enables__t.html#a8bb9d628c36e8808b70b88a93d7ca5ff">enMask</a></td></tr>
<tr class="memdesc:a8bb9d628c36e8808b70b88a93d7ca5ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Analog monitoring control <br />
 0 TEMPERATURE_MONITOR_EN <br />
 1 RX_GAIN_PHASE_MONITOR_EN <br />
 2 RX_NOISE_MONITOR_EN <br />
 3 RX_IFSTAGE_MONITOR_EN <br />
 4 TX0_POWER_MONITOR_EN <br />
 5 TX1_POWER_MONITOR_EN <br />
 6 TX2_POWER_MONITOR_EN <br />
 7 TX0_BALLBREAK_MONITOR_EN <br />
 8 TX1_BALLBREAK_MONITOR_EN <br />
 9 TX2_BALLBREAK_MONITOR_EN <br />
 10 TX_GAIN_PHASE_MONITOR_EN <br />
 11 TX0_BPM_MONITOR_EN <br />
 12 TX1_BPM_MONITOR_EN <br />
 13 TX2_BPM_MONITOR_EN <br />
 14 SYNTH_FREQ_MONITOR_EN <br />
 15 EXTERNAL_ANALOG_SIGNALS_MONITOR_EN <br />
 16 INTERNAL_TX0_SIGNALS_MONITOR_EN <br />
 17 INTERNAL_TX1_SIGNALS_MONITOR_EN <br />
 18 INTERNAL_TX2_SIGNALS_MONITOR_EN <br />
 19 INTERNAL_RX_SIGNALS_MONITOR_EN <br />
 20 INTERNAL_PMCLKLO_SIGNALS_MONITOR_EN <br />
 21 INTERNAL_GPADC_SIGNALS_MONITOR_EN <br />
 22 PLL_CONTROL_VOLTAGE_MONITOR_EN <br />
 23 DCC_CLOCK_FREQ_MONITOR_EN <br />
 24 RX_IF_SATURATION_MONITOR_EN <br />
 25 RX_SIG_IMG_BAND_MONITORING_EN <br />
 26 RX_MIXER_INPUT_POWER_MONITOR <br />
 31:27 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a8bb9d628c36e8808b70b88a93d7ca5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7278099e7db64bf0f7a609e6cdf5a97f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7278099e7db64bf0f7a609e6cdf5a97f"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_ana_enables__t.html#a7278099e7db64bf0f7a609e6cdf5a97f">reserved</a></td></tr>
<tr class="memdesc:a7278099e7db64bf0f7a609e6cdf5a97f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a7278099e7db64bf0f7a609e6cdf5a97f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Analog monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
